import java.net.*;
import java.io.*;
import java.util.*;


class Client
{
  /*
   * Точка входа
   */
  public static void main (String args[])
    {
      String str = "";
      StringTokenizer st = new StringTokenizer (str);

      try
        {
          Socket sock = new Socket ("localhost", 5555);

          DataInputStream in = new DataInputStream (System.in);
          DataOutputStream out = new DataOutputStream (sock.getOutputStream ());

          while (true)
            {
              if (st.hasMoreTokens ())
                out.writeFloat (new Float (st.nextToken ()).floatValue ());
              else
                {
                  if ((str = in.readLine ()) == null)
                    break;

                  st = new StringTokenizer (str);
                }
            }

          sock.close ();
        }
      catch (IOException e)
        {
}
    }
}
